Subject: Allow "configurable" classes path in packages
Description

Currently, the class loader expects to find classes inside "Classes" of each package. While this is fine for FLOW3 packages, it blocks
(easy) use of other PSR-0 compatible packages - the code always has to be moved into "Classes". To make use of 3rd party code
easier, e.g. by using Composer, we need to be able to specify a mapping of package keys to entry points for the class loader.

This change c/should remove the .Shortcuts folder again and could also make "overlapping" package keys possible (e.g.
TYPO3.JobQueue and TYPO3.JobQueue.Beanstalk).

Associated revisions
Revision 83a56d56 - 2012-04-23 09:32 - Karsten Dambekalns

[FEATURE] Allow "configurable" classes path in packages

Package instances can be asked for their classes path, which is now set
determined by the PackageManager and stored in PackageStates.php.

It can - in the future - thus be read from a Composer file and
does no longer have to be the hardcoded "Classes".

This change removes the use of the .Shortcuts folder again and makes
"overlapping" package keys possible (e.g. TYPO3.JobQueue and
TYPO3.JobQueue.Beanstalk).

Change-Id: If6f84402f03ead963b1eed557a1cf92a44a76dc5
Resolves: #36337
Releases: 1.1

History
#1 - 2012-04-19 17:09 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10635

#2 - 2012-04-19 17:41 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10635

#3 - 2012-04-23 09:16 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10635

#4 - 2012-04-23 09:32 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10635

#5 - 2012-04-23 14:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:83a56d56f81554b9f4d4810173afd7d3425da4db.
